Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobRuntimeInformation

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobRuntimeInformation

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJobRuntimeInformation

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ReportJobRuntimeInformation.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `STATE_COMPLETE`
`static byte` | `STATE_ERROR`
`static byte` | `STATE_EXECUTING`
`static byte` | `STATE_NORMAL`
`static byte` | `STATE_PAUSED`
`static byte` | `STATE_UNKNOWN`

Constructor Summary
`ReportJobRuntimeInformation()`

Method Summary
`java.util.Date` | `getNextFireTime()`
`java.util.Date` | `getPreviousFireTime()`
`byte` | `getState()`
`void` | `setNextFireTime(java.util.Date nextFireTime)`
`void` | `setPreviousFireTime(java.util.Date previousFireTime)`
`void` | `setState(byte state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_UNKNOWN

    public static final byte STATE_UNKNOWN

See Also:
  Constant Field Values

### STATE_NORMAL

    public static final byte STATE_NORMAL

See Also:
  Constant Field Values

### STATE_EXECUTING

    public static final byte STATE_EXECUTING

See Also:
  Constant Field Values

### STATE_PAUSED

    public static final byte STATE_PAUSED

See Also:
  Constant Field Values

### STATE_COMPLETE

    public static final byte STATE_COMPLETE

See Also:
  Constant Field Values

### STATE_ERROR

    public static final byte STATE_ERROR

See Also:
  Constant Field Values

Constructor Detail

### ReportJobRuntimeInformation

    public ReportJobRuntimeInformation()

Method Detail

### getNextFireTime

    public java.util.Date getNextFireTime()

### setNextFireTime

    public void setNextFireTime(java.util.Date nextFireTime)

### getPreviousFireTime

    public java.util.Date getPreviousFireTime()

### setPreviousFireTime

    public void setPreviousFireTime(java.util.Date previousFireTime)

### getState

    public byte getState()

### setState

    public void setState(byte state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.